curl --location 'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Software Developer",
"seniority": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:27:04",
"updated_at": "2026-01-26 15:27:04"
}
}
{
"status": "ERROR",
"code": "ZC002",
"message": "User position not found"
}
{
"status": "ERROR",
"code": "ZC002",
"message": "Seniority not found"
}
Positions
Assign Seniority to Position
Assigns a seniority level to a user position in your COR instance
POST
/
v2
/
user-position
/
{position_id}
/
seniority
/
{seniority_id}
curl --location 'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Software Developer",
"seniority": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:27:04",
"updated_at": "2026-01-26 15:27:04"
}
}
{
"status": "ERROR",
"code": "ZC002",
"message": "User position not found"
}
{
"status": "ERROR",
"code": "ZC002",
"message": "Seniority not found"
}
Assigns a seniority level to a user position in your COR instance. Both the position and seniority must have been previously created through the integrations API.
Path Parameters
string
required
External position ID that was used when creating the position
string
required
External seniority ID that was used when creating the seniority
Request Body Requirements
Known Errors
ZC002— User position not found. The specified position or seniority does not exist in the integration mappings
curl --location 'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/user-position/external-user-position-1/seniority/external_seniority_id_10',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Software Developer",
"seniority": "Ssr.",
"company_id": 2336,
"created_at": "2026-01-26 15:27:04",
"updated_at": "2026-01-26 15:27:04"
}
}
{
"status": "ERROR",
"code": "ZC002",
"message": "User position not found"
}
{
"status": "ERROR",
"code": "ZC002",
"message": "Seniority not found"
}
Was this page helpful?
⌘I

